%define srcname notofonttools


%global common_desc \
The nototools python package contains python scripts \
used to maintain the Noto Fonts project, \
including the google.com/get/noto website.

Name:		nototools
Version:	0.2.13
Release:	%mkrel 2
Summary:	Noto fonts support tools and scripts plus web site generation
Group:		System/Fonts/True type
License:	ASL 2.0
URL:		https://github.com/googlei18n/nototools
Source0:	notofonttools-%{version}.tar.xz
Patch0: 	nototools-fixes-compile.patch

BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3-wheel
BuildRequires:	python3-setuptools_scm

Requires:	python3-nototools = %{version}-%{release}

%description
%common_desc

%package     -n python3-nototools
Summary:	Noto tools for python 3
Requires:	python3-fonttools
BuildRequires:	python3-fonttools

%description -n python3-nototools
%common_desc

%prep
%setup -qc
%patch0 -p0 -b .compile

# remove unneeded files
rm -rf %{srcname}-%{version}/third_party/{cldr,dspl,fontcrunch,ohchr,spiro,udhr,unicode}
mv %{srcname}-%{version} python3

%if %{with python3}
cp -a python2 python3
%endif

# for documents
cp python3/*.md python3/LICENSE .

%build
pushd python3
%py3_build
popd


%install
pushd python3
%py3_install
for lib in %{buildroot}%{python3_sitelib}/nototools/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
popd

%check
pushd python3
# Comment it out for the moment because it tries to run something which fails
#%%{__python3} setup.py test
popd


%files
%{_bindir}/add_vs_cmap.py
%{_bindir}/autofix_for_release.py
%{_bindir}/create_image.py
%{_bindir}/decompose_ttc.py
%{_bindir}/drop_hints.py
%{_bindir}/dump_otl.py
%{_bindir}/fix_khmer_and_lao_coverage.py
%{_bindir}/fix_noto_cjk_thin.py
%{_bindir}/generate_sample_text.py
%{_bindir}/generate_website_2_data.py
%{_bindir}/merge_fonts.py
%{_bindir}/merge_noto.py
%{_bindir}/noto_lint.py
%{_bindir}/notocoverage
%{_bindir}/notodiff
%{_bindir}/scale.py
%{_bindir}/subset.py
%{_bindir}/subset_symbols.py
%{_bindir}/test_vertical_extents.py

%files -n python3-nototools
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/third_party


%changelog
* Wed Jul 27 2022 TerryN <terryn94 at gmail.com> 0.2.13-2pclos2022
- rebuild for python 3.10

* Sat Apr 24 2021 tex - 0.2.13-1pclos2021
- import pkg from mga
